<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Détail de la tâche</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f5f5f5;
            margin: 0;
            padding: 0;
        }

        .container {
            max-width: 600px;
            margin: 20px auto;
            padding: 20px;
            background-color: #fff;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        h1 {
            color: #333;
            text-align: center;
            margin-bottom: 20px;
        }

        p {
            margin-bottom: 10px;
        }

        a {
            text-decoration: none;
            color: #007bff;
        }

        .actions {
            text-align: center;
            margin-top: 20px;
        }

        .actions a {
            margin-right: 10px;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>{{ task.title }}</h1>
        <p>Description: {{ task.description }}</p>
        <p>Statut : {{ task.completed|yesno:"Terminée,Non Terminée" }}</p>
        <p>Créée le : {{ task.created_at }}</p>
        <p>Dernière mise à jour : {{ task.updated_at }}</p>
        <p>Priorité : {{ task.priority }}</p>
        <div class="actions">
            <a href="{% url 'task_update' task.id %}">Éditer cette tâche</a> |
            <a href="{% url 'task_delete' task.id %}">Supprimer cette tâche</a> |
            <a href="{% url 'task_list' %}">Retour à la liste des tâches</a>
        </div>
    </div>
</body>
</html>